using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFPageEditPanelMap : APTEntityBaseMap<T_PF_PAGE_EDIT_PANEL>
	{
		public override void Configure(EntityTypeBuilder<T_PF_PAGE_EDIT_PANEL> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.LABEL).HasMaxLength(200);
			builder.HasOne(t => t.Nav_PageEdit).
				WithMany(t => t.Nav_Panels).HasForeignKey(t => t.PAGE_EDIT_ID).OnDelete(DeleteBehavior.Restrict);
		} 
	}
}
